classification
Title: Module wsgiref is not python3000 ready (unicode issues)
Type: resource usage Stage: patch review
Components: Library (Lib) Versions: Python 3.0
process
Status: closed Resolution: duplicate
Dependencies: Superseder: wsgiref package totally broken
View: 4718
Assigned To: Nosy List: amaury.forgeotdarc, pitrou, pje, tordmor
Priority: critical Keywords: patch

Created on 2008-12-04 11:18 by tordmor, last changed 2009-01-01 02:38 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
handlers.diff tordmor, 2008-12-04 11:18 preliminary patch
Messages (5)
msg76879 - (view) Author: Felix Benner (tordmor) Date: 2008-12-04 11:18
wsgiref.handlers.py tries to send strings where bytes is necessary in
accordance with PEP333 the attached patch encodes everything with
ISO-8859-1.

Additionally the patch from Issue 3348 has to be applied.
msg76950 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2008-12-05 00:18
The patch is incomplete: it breaks test_wsgiref.
msg77063 - (view) Author: Felix Benner (tordmor) Date: 2008-12-05 20:03
The test uses StringIO. I don't understand the test enough to change
that. If I understand the WSGI spec correctly then it would be the test
that's wrong.
msg77082 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2008-12-05 22:20
The test should indeed be changed. You may want to use io.BytesIO 
instead.
In any case this test looks like a standard usage of the library. Please 
make it as pleasant-looking as possible.
msg78684 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-01-01 02:38
Resolution is more advanced in #4718.
History
Date User Action Args
2009-01-01 02:38:33pitrousetstatus: open -> closed
resolution: duplicate
superseder: wsgiref package totally broken
messages: + msg78684
nosy: + pitrou
2008-12-05 22:20:16amaury.forgeotdarcsetmessages: + msg77082
2008-12-05 20:03:29tordmorsetmessages: + msg77063
2008-12-05 02:19:43benjamin.petersonsetnosy: + pje
2008-12-05 00:18:13amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg76950
2008-12-04 20:24:35christian.heimessetpriority: critical
type: resource usage
stage: patch review
2008-12-04 11:18:21tordmorcreate